/*
 * conn_t.h -- struct conn_t and Status_t
 * Part of the tcpick project
 *
 * Author: Francesco Stablum <duskdruid @ despammed.com>
 *
 * Copyright (C) 2003, 2004  Francesco Stablum
 * Licensed under the GPL
 *
 */

typedef enum { 
    SYN_SENT,
    SYN_RECEIVED,
    ESTABLISHED,
    FIN_WAIT_1,
    FIN_WAIT_2__CLOSE_WAIT,
    TIME_WAIT__LAST_ACK,
    LAST_ACK,
    CLOSED,
    NIHL
} Status_t;

struct conn_t
{
	Status_t status; 

	FILE *both_file; /* FIXME: wtf??? */

	int closer; /* when a connection is int open state this must be set to 0		       when the client has sent the closing FIN, then closer=1
		       when it is the server closer=2
		    */
	int num; /* the number of this connection (useful for 
		    calculate the color tracked)
		 */

	struct host_descriptor_t client;
	struct host_descriptor_t server;
	
	struct
	conn_t * next; /* pointer for the next ring of the chain */
	
};

typedef struct conn_t conn_t;

struct ip * ip_last_header;
struct tcphdr * tcp_last_header;
